#pragma once 
#define HLSBAPI __stdcall 

#define HLS_SUCCESS                             0   /* 正常終了                                               */
#define HLS_ERR_DEVICENOTEXIST                  1   /* デバイスが存在しない                                   */
#define HLS_ERR_ALREADYOPENED                   2   /* すでにオープンされている                               */
#define HLS_ERR_CLOSED                          3   /* HlsOpenHandle が一度もコールされていない               */
#define HLS_ERR_INVALIDPARAM                    4   /* 無効なパラメータでコールされた                         */
#define HLS_ERR_NORESOUCE                       5   /* 実行に必要なリソースが足りない                         */
#define HLS_ERR_FAILED                          6   /* 原因不明により処理が遂行されなかった                   */
#define HLS_ERR_AUTO_TRANS_ALREADY_START        7   /* 定期更新がすでに開始されている                         */
#define HLS_ERR_AUTO_TRANS_STOP                 8   /* 定期更新が開始されていない                                                       */
#define HLS_ERR_USB_TIMEOUT_SUCCESS_STOP_HLS    9   /* USB通信中にタイムアウトが発生、HLS通信の停止に成功     */
#define HLS_ERR_USB_TIMEOUT_FAILED_STOP_HLS     10  /* USB通信中にタイムアウトが発生、HLS通信の停止にも失敗   */
#define HLS_ERR_REACQUISITION_OF_HANDLE         11  /* ハンドルの再取得が行われていない           */
#define HLS_NOTCALLYET                          99  /* API function is not called.                */

#ifdef __cplusplus 
extern "C" {
#endif
UINT   HLSBAPI HlsGetVersion(void);
UINT   HLSBAPI HlsGetLastError(void);
INT    HLSBAPI HlsCountDevice(void);
BOOL   HLSBAPI HlsStartAutoTrans(HANDLE HLSBHandle, WORD MfCnt);
BOOL   HLSBAPI HlsStopAutoTrans(HANDLE HLSBHandle);
HANDLE HLSBAPI HlsOpenHandle(int Instance);
BOOL   HLSBAPI HlsCloseHandle(HANDLE HLSHandle);
BOOL   HLSBAPI HlsReadWord(HANDLE HLSBHandle, const ULONG Adr, WORD* Dat);
BOOL   HLSBAPI HlsWriteWord(HANDLE HLSBHandle, const ULONG Adr, const WORD Dat);
BOOL   HLSBAPI HlsReadCTL(HANDLE HLSBHandle, void* Data);
BOOL   HLSBAPI HlsReadDI(HANDLE HLSBHandle, void* Data);
BOOL   HLSBAPI HlsReadDRC(HANDLE HLSBHandle, void* Data);
BOOL   HLSBAPI HlsReadData(HANDLE HLSBHandle, WORD Adr, WORD WordLen, void* Data);
BOOL   HLSBAPI HlsWriteData(HANDLE HLSBHandle, WORD Adr, WORD WordLen, void* Data);
INT    HLSBAPI HlsBoardID(HANDLE HLSBHandle);
BOOL   HLSBAPI HlsSearchBoard(BYTE *board_num, BYTE *board_id_list);

#ifdef __cplusplus
}
#endif
